#include <bits/stdc++.h>

using namespace std;

int brneg[999999] = {0};
int brpoz[999999] = {0};

int main()
{
    int n,k,a,br=0,za0=0;

    cin >> n;
    cin >> k;

    for(int i=0; i<n; i++)
    {
        cin >> a;

        if(a<0)
        {
            brneg[abs(a)-1]++;

            if(brneg[abs(a)-1]==k)
            {
                br++;
            }
        }
        else if(a>0)
        {
            brpoz[a-1]++;

            if(brpoz[a-1]==k)
            {
                br++;
            }
        }
        else
        {
            za0++;

            if(za0==k)
            {
                br++;
            }
        }
    }

    cout << br << endl;

    if(za0>=k)
    {
        cout << 0 << " ";
    }

    for(int i=0; i<n; i++)
    {
        if(brpoz[i]>=k)
        {
            cout << i+1 << " ";
        }
        if(brneg[i]>=k)
        {
            cout << -i-1 << " ";
        }
    }
}